xgboost

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
xgboost::JsonReader Class Reference

`#include <json_io.h>`

Collaboration diagram for xgboost::JsonReader:

## Classes
struct | SourceLocation

## Public Member Functions
| JsonReader (StringView str)
virtual | ~JsonReader ()=default
Json | Load ()

## Protected Member Functions
void | SkipSpaces ()
char | GetNextChar ()
char | PeekNextChar ()
char | GetNextNonSpaceChar ()
char | GetConsecutiveChar (char expected_char)
void | Error (std::string msg) const
void | Expect (char c, char got)
virtual Json | ParseString ()
virtual Json | ParseObject ()
virtual Json | ParseArray ()
virtual Json | ParseNumber ()
virtual Json | ParseBoolean ()
virtual Json | ParseNull ()
Json | Parse ()

## Protected Attributes
struct xgboost::JsonReader::SourceLocation | cursor_
StringView | raw_str_

## Static Protected Attributes
constexpr static size_t | kMaxNumLength

## Constructor & Destructor Documentation

## ◆ JsonReader()

xgboost::JsonReader::JsonReader | ( | StringView | str | ) |
| inline explicit

## ◆ ~JsonReader()

virtual xgboost::JsonReader::~JsonReader | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ Error()

void xgboost::JsonReader::Error | ( | std::string | msg | ) | const
| protected

## ◆ Expect()

void xgboost::JsonReader::Expect | ( | char | c,
|  | char | got
| ) |  |
| inline protected

## ◆ GetConsecutiveChar()

char xgboost::JsonReader::GetConsecutiveChar | ( | char | expected_char | ) |
| inline protected

## ◆ GetNextChar()

char xgboost::JsonReader::GetNextChar | ( |  | ) |
| inline protected

## ◆ GetNextNonSpaceChar()

char xgboost::JsonReader::GetNextNonSpaceChar | ( |  | ) |
| inline protected

## ◆ Load()

Json xgboost::JsonReader::Load | ( |  | ) |

## ◆ Parse()

Json xgboost::JsonReader::Parse | ( |  | ) |
| protected

## ◆ ParseArray()

virtual Json xgboost::JsonReader::ParseArray | ( |  | ) |
| protected virtual

## ◆ ParseBoolean()

virtual Json xgboost::JsonReader::ParseBoolean | ( |  | ) |
| protected virtual

## ◆ ParseNull()

virtual Json xgboost::JsonReader::ParseNull | ( |  | ) |
| protected virtual

## ◆ ParseNumber()

virtual Json xgboost::JsonReader::ParseNumber | ( |  | ) |
| protected virtual

## ◆ ParseObject()

virtual Json xgboost::JsonReader::ParseObject | ( |  | ) |
| protected virtual

## ◆ ParseString()

virtual Json xgboost::JsonReader::ParseString | ( |  | ) |
| protected virtual

## ◆ PeekNextChar()

char xgboost::JsonReader::PeekNextChar | ( |  | ) |
| inline protected

## ◆ SkipSpaces()

void xgboost::JsonReader::SkipSpaces | ( |  | ) |
| protected

## Member Data Documentation

## ◆ cursor_

struct xgboost::JsonReader::SourceLocation xgboost::JsonReader::cursor_
| protected

## ◆ kMaxNumLength

constexpr static size_t xgboost::JsonReader::kMaxNumLength
| static constexpr protected

Initial value:
=
std::numeric_limits<double>::max_digits10 + 1

## ◆ raw_str_

StringView xgboost::JsonReader::raw_str_
| protected

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json_io.h